#ifndef OpenTestSystem_OtxDiagManager_Common_ILogger_H
#define OpenTestSystem_OtxDiagManager_Common_ILogger_H

#include "CommonDefs.h"
#include <string>

namespace OpenTestSystem
{
	namespace OtxDiagManager
	{
		namespace Common
		{
			class COMMON_EXPORTS ILogger
			{
			public:
				ILogger();
				virtual ~ILogger();

				virtual void Log(const std::string &module, const std::string& text) = 0;
				static void Shutdown();
			};
		}
	}
}
#endif // OpenTestSystem_OtxDiagManager_Common_ILogger_H
